Main Page Widgets Namespaces Book

# Gtk::Separator Class Reference

Inheritance diagram for Gtk::Separator:

[legend]
List of all members.

## Detailed Description

Separator base class.

Abstract base class for Gtk::VSeperator and Gtk::HSeperator.

## Public Member Functions
const GtkSeparator* | gobj () const
| Provides access to the underlying C GtkObject.
GtkSeparator* | gobj ()
| Provides access to the underlying C GtkObject.
virtual | ~Separator ()
## Protected Member Functions
| Separator ()
## Related Functions
(Note that these are not member functions.)
Gtk::Separator* | wrap (GtkSeparator* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Separator::~Separator | ( |  | ) | `[virtual]`

Gtk::Separator::Separator | ( |  | ) | `[protected]`

## Member Function Documentation

const GtkSeparator* Gtk::Separator::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::VSeparator, and Gtk::HSeparator.

GtkSeparator* Gtk::Separator::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget. Reimplemented in Gtk::VSeparator, and Gtk::HSeparator.

## Friends And Related Function Documentation

Gtk::Separator* wrap | ( | GtkSeparator* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- separator.h